> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Set a badge on a data model (Beta)

PUT https://api.sigmacomputing.com/v2/dataModels/{dataModelId}/badge
Content-Type: application/json

Set or replace the badge on a data model.

**Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.

### Usage notes
- Retrieve the **dataModelId** by calling the [/v2/dataModels](/reference/list-data-models) endpoint.
- To perform this operation, you must use API credentials owned by a user assigned to an account type with the **Manage all badges** permission.
- If **dataModelId** is the ID of a tagged version of a data model (`taggedDataModelId`), the badge is set on the original data model. Tagged versions do not have their own badges.
- Omit `badgeNote` to clear the current note. Pass `badgeNote` to replace the current note. Returns an empty string when the badge has no note.
- Pass the `badge` returned by the [/v2/files](/reference/list-files) endpoint. That endpoint returns `null` when the document has no badge.

### Usage scenarios
- **Certification:** Set a data model to `Endorsed` when it is verified, trusted, and meets your quality standards.
- **Lifecycle:** Set a data model to `Warning` when it is outdated, incomplete, or under review, and to `Deprecated` when it is obsolete or no longer maintained.

Reference: https://help.sigmacomputing.com/reference/set-data-model-badge

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sigmacomputing.com` (Server for GCP (US) hosted organizations, default)
- `https://api.sa.gcp.sigmacomputing.com` (Server for GCP (KSA) hosted organizations)
- `https://api.uk.gcp.sigmacomputing.com` (Server for GCP (UK) hosted organizations)
- `https://aws-api.sigmacomputing.com` (Server for AWS US (West) hosted organizations)
- `https://api.us-a.aws.sigmacomputing.com` (Server for AWS US (East) hosted organizations)
- `https://api.ca.aws.sigmacomputing.com` (Server for AWS Canada hosted organizations)
- `https://api.eu.aws.sigmacomputing.com` (Server for AWS Europe (Frankfurt) hosted organizations)
- `https://api.ch.aws.sigmacomputing.com` (Server for AWS Europe (Zurich) hosted organizations)
- `https://api.au.aws.sigmacomputing.com` (Server for AWS Australia and APAC hosted organizations)
- `https://api.uk.aws.sigmacomputing.com` (Server for AWS UK hosted organizations)
- `https://api.in.aws.sigmacomputing.com` (Server for AWS Asia Pacific (Mumbai) hosted organizations)
- `https://api.us.azure.sigmacomputing.com` (Server for Azure US hosted organizations)
- `https://api.eu.azure.sigmacomputing.com` (Server for Azure Europe hosted organizations)
- `https://api.ca.azure.sigmacomputing.com` (Server for Azure Canada hosted organizations)
- `https://api.uk.azure.sigmacomputing.com` (Server for Azure United Kingdom hosted organizations)
- `https://api.au.azure.sigmacomputing.com` (Server for Azure Australia hosted organizations)

## Request

### Path parameters

- `dataModelId` (string, required) — Unique identifier of the data model.

### Body (application/json)

This endpoint expects an object.

- `badge` (enum, required) — Badge shown on the data model.
  - Allowed values: `Deprecated`, `Warning`, `Endorsed`
- `badgeNote` (string, optional) — Note shown with the badge.

## Response

### 200

The response body.

- `badge` (enum, required) — Badge shown on the data model.
  - Allowed values: `Deprecated`, `Warning`, `Endorsed`
- `badgeNote` (string, optional) — Note shown with the badge.

## Examples

**Request**

```json
{
  "badge": "Deprecated"
}
```

**Response**

```json
{
  "badge": "Deprecated",
  "badgeNote": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/dataModels/dataModelId/badge"

payload = { "badge": "Deprecated" }
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/dataModels/dataModelId/badge';
const options = {
  method: 'PUT',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"badge":"Deprecated"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/dataModels/dataModelId/badge"

	payload := strings.NewReader("{\n  \"badge\": \"Deprecated\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/dataModels/dataModelId/badge")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"badge\": \"Deprecated\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.sigmacomputing.com/v2/dataModels/dataModelId/badge")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"badge\": \"Deprecated\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.sigmacomputing.com/v2/dataModels/dataModelId/badge', [
  'body' => '{
  "badge": "Deprecated"
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/dataModels/dataModelId/badge");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"badge\": \"Deprecated\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = ["badge": "Deprecated"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/dataModels/dataModelId/badge")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```